<!--
	FILE FROM WWW.CFTUTORIALS.COM - 
	YOUR USE OF THIS FILE SIGNIFIES YOUR AGREEMENT TO BE BOUND BY THE TERMS AND CONDITIONS:
	http://www.cftutorials.com/index.cfm?mode=contentpage&element=terms_and_conditions
-->


<CFAPPLICATION NAME="MyApplication" SESSIONMANAGEMENT="Yes" SESSIONTIMEOUT="#CreateTimeSpan(0,0,45,0)#" APPLICATIONTIMEOUT="#CreateTimeSpan(0,0,45,0)#">

<CFPARAM NAME="session.LoggedIn" DEFAULT="FALSE">

<!-- Defines the Time span used to calculate the time remaining if the user 
	gets locked-up. It needs to be synchronized with the application tag parameter. (in this case 45 minutes -->
<CFSET APPTIMESPAN = #CREATETIMESPAN(0,0,45,0)#>


<!-- If the user is not logged in yet -->
<CFIF #SESSION.LOGGEDIN# IS "FALSE">

	<!-- ... and not currently on the login pages, or the forgotten password page -->
	<CFIF (CGI.SCRIPT_NAME IS NOT "/test/login.cfm") AND (CGI.SCRIPT_NAME IS NOT "/test/results.cfm") AND (CGI.SCRIPT_NAME IS NOT "/test/forgotpass.cfm")>  
		<SCRIPT LANGUAGE="JavaScript">
		alert("The system has detected an invalid login or your session on this machine has timed out. You will be prompted for your login/password again.");
		self.location='login.cfm';
		</SCRIPT>	
	</CFIF>
	
<CFELSE>

	<!-- this will reset the time stamp every time the user accesses a non-login related page, to keep track of his activity.  -->
	<CFIF (CGI.SCRIPT_NAME IS NOT "/test/login.cfm") AND (CGI.SCRIPT_NAME IS NOT "/test/results.cfm") AND (CGI.SCRIPT_NAME IS NOT "/test/forgotpass.cfm")>  
		<CFSET APPLICATION.USERSLOGGEDIN["#Session.UserID#"].TIMECREATED = NOW()> 
	</CFIF>
	
</CFIF>

